<?php
require_once('init.php');
require_once('lib/general.php');

$theme = $_SESSION['sys']['theme'];

$sql = sprintf("SELECT sys_theme_items.name,value FROM sys_theme_values " .
	       "JOIN sys_theme_items ON item = sys_theme_items.id WHERE theme = %d",
	       $theme);
$sth = $db->query($sql);

if ($sth === false) exit;

$styles = array();
while ($row = $sth->fetch()) {
  switch ($row['name']) {
  case 'box-background':
    $styles['div.ricoContent']['background-color'] = $row['value'];
    $styles['div.form']['background-color'] = $row['value'];
    break;
  case 'box-title-background':
    $styles['div.ricoTitle']['background-color'] = $row['value'];
    $styles['div.form p.title']['background-color'] = $row['value'];
    $styles['.ricoLG_table th']['background-color'] = $row['value'];
    break;
  case 'box-title-bottom':
    $styles['div.ricoTitle']['border-bottom'] = $row['value'];
    $styles['div.form p.title']['border-bottom'] = $row['value'];
    $styles['.ricoLG_table th']['border-bottom'] = $row['value'];
    break;
  case 'box-title-foreground':
    $styles['div.ricoTitle']['color'] = $row['value'];
    $styles['div.form p.title']['color'] = $row['value'];
    $styles['.ricoLG_table th']['color'] = $row['value'];
    $styles['.ricoLG_table th a']['color'] = $row['value'];
    break;
  case 'table-selection':
    $styles['div.ricoLG_selection']['background-color'] = $row['value'];
    break;
  case 'title1-background':
    $styles['h3.title']['background-color'] = $row['value'];
    break;
  case 'title1-bottom':
    $styles['h3.title']['border-bottom'] = $row['value'];
    break;
  case 'title2-background':
    $styles['h3.title2']['background-color'] = $row['value'];
    break;
  case 'title2-bottom':
    $styles['h3.title2']['border-bottom'] = $row['value'];
    break;
  case 'details-background':
    $styles['div.box#details']['background-color'] = $row['value'];
    break;
  }
}

header('Content-type: text/css');

if (defined('PATH_CSS') && (($f = fopen(PATH_CSS,'r')) !== false)) {
    fpassthru($f);
    fclose($f);
}

foreach ($styles as $name => $data) {
  printf("%s {\n", $name);
  foreach ($data as $key => $value)
    printf("  %s: %s;\n", $key, $value);
  echo("}\n");
}
?>
